Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ReliabilityLayer.cpp File Reference

Reliability Layer Implementation. More...

`#include "ReliabilityLayer.h"`
`#include <assert.h>`
`#include "GetTime.h"`
`#include "SocketLayer.h"`
`#include <stdlib.h>`

## Functions
void | seedMT (unsigned long seed)
unsigned long | randomMT (void)
float | frandomMT (void)
## Variables
static const int | ACK_BIT_LENGTH = sizeof( PacketNumberType ) *8 + 1
static const int | MAXIMUM_WINDOW_SIZE = ( DEFAULT_MTU_SIZE - UDP_HEADER_SIZE ) *8 / ACK_BIT_LENGTH
static const int | MINIMUM_WINDOW_SIZE = 5

## Detailed Description

Reliability Layer Implementation.

This file is part of RakNet Copyright 2003, 2004 Rakkarsoft LLC and Kevin Jenkins.

Usage of Raknet is subject to the appropriate licence agreement. "Shareware" Licensees with Rakkarsoft LLC are subject to the shareware license found at http://www.rakkarsoft.com/shareWareLicense.html which you agreed to upon purchase of a "Shareware license" "Commercial" Licensees with Rakkarsoft LLC are subject to the commercial license found at http://www.rakkarsoft.com/sourceCodeLicense.html which you agreed to upon purchase of a "Commercial license" All other users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Refer to the appropriate license agreement for distribution, modification, and warranty rights.

## Function Documentation

float frandomMT | ( | void |  | ) | `[inline]`

| Get next random value form the generator Returns: a real random value.

unsigned long randomMT | ( | void |  | ) | `[inline]`

| Get next random value from the generator Returns: an integer random value.

void seedMT | ( | unsigned long | seed | ) |

  | Initialise seed for Random Generator Parameters:
  | seed | The initial value of the pseudo random suite.

## Variable Documentation

const int ACK_BIT_LENGTH = sizeof( PacketNumberType ) *8 + 1`[static]`

const int MAXIMUM_WINDOW_SIZE = ( DEFAULT_MTU_SIZE - UDP_HEADER_SIZE ) *8 / ACK_BIT_LENGTH`[static]`

const int MINIMUM_WINDOW_SIZE = 5`[static]`